Google Web Toolkit (Beta)
Search this site:

# Class RichTextArea.FontSize

public static class RichTextArea.FontSize
extends Object
Font size enumeration. Represents the seven basic HTML font sizes, as defined in CSS.

## Fields

LARGE | Represents a Large font.
MEDIUM | Represents a Medium font.
SMALL | Represents a Small font.
X_LARGE | Represents an X-Large font.
X_SMALL | Represents an X-Small font.
XX_LARGE | Represents an XX-Large font.
XX_SMALL | Represents an XX-Small font.

## Methods

getNumber() | Gets the HTML font number associated with this font size.

## Field Detail

### LARGE

public static final RichTextArea.FontSize LARGE
Represents a Large font.

### MEDIUM

public static final RichTextArea.FontSize MEDIUM
Represents a Medium font.

### SMALL

public static final RichTextArea.FontSize SMALL
Represents a Small font.

### X_LARGE

public static final RichTextArea.FontSize X_LARGE
Represents an X-Large font.

### X_SMALL

public static final RichTextArea.FontSize X_SMALL
Represents an X-Small font.

### XX_LARGE

public static final RichTextArea.FontSize XX_LARGE
Represents an XX-Large font.

### XX_SMALL

public static final RichTextArea.FontSize XX_SMALL
Represents an XX-Small font.

## Method Detail

### getNumber

public int getNumber()
Gets the HTML font number associated with this font size.

#### Return Value

an integer from 1 to 7 inclusive